Page MenuHomePhabricator

Per-user projects for personal work in progress tracking
Open, LowestPublic

Tokens
"Mountain of Wealth" token, awarded by D3r1ck01."Like" token, awarded by Zoranzoki21."Love" token, awarded by revi."Like" token, awarded by Josve05a."Love" token, awarded by Luke081515."Like" token, awarded by Addshore."Like" token, awarded by Rillke."Like" token, awarded by fbstj.
Assigned To
None
Authored By
bd808, Oct 7 2014

Description

Upstream task: Add support for personal workboards

I would like to use Phabricator to manage a personal Kanban board. I tend to work on many small issues spanning multiple projects and teams and I have found that having a single place to track work in progress and completed work makes communication with management and clients about my personal availability and priorities easier. I have been using external tools (GitHub and HuBoard) for this tracking, but this suffers from the same sort of synchronization and discoverability issues as WMF teams who have chosen to use external tracking tools to manage their cumulative backlogs.

I propose creating a standardized faux namespace such as "User-" or "Personal-" which would be combined with a username for such per-user tracking projects. "User-" seems like a nice choice for the color of this bike shed due to the correlation with the wiki's User namespace.


Please note: If you do not plan to track state / progress via workboard columns, in many cases, using a personal dashboard can be sufficient and less noisy for all other Phabricator users (as no user project tags get added in tasks).
For example, you can add panels to display your assigned tasks and your authored tasks to your dashboard.
Or for tasks you'd like to watch, using personal, non-public flags and creating a panel (via "Search For: Flags") to list all your flagged tasks in a panel on your dashboard.

Related Objects

StatusAssignedTask
OpenNone
ResolvedLuke081515
ResolvedLuke081515
ResolvedLuke081515
ResolvedLuke081515
ResolvedLuke081515
ResolvedKrenair
ResolvedKrenair
Resolvedgreg
ResolvedJAufrecht
Resolved ksmith
ResolvedQgil
ResolvedDanny_B
ResolvedDanny_B
ResolvedAklapper
Resolvedbd808
ResolvedAklapper
Resolved MarcoAurelio
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
Resolved MarcoAurelio
Resolvedgreg
ResolvedAklapper
ResolvedLuke081515
ResolvedAklapper
Resolved MarcoAurelio
ResolvedMGChecker
ResolvedMGChecker
ResolvedMGChecker
Resolvedgreg
Resolvedgreg
ResolvedMGChecker

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Niharika removed a subscriber: Niharika.Feb 1 2016, 8:14 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM

I don't think we need to use this task as tracking. Requests for private projects can be found in Projects to create column on Project-Admins workboard and list of existing User-* projects also exists.

I don't think we need to use this task as tracking.

Indeed. There is no need to track creation of User-* projects in three places (T555 and T103700 and the project log).
The current workflow applied in this Phabricator instance resembles https://secure.phabricator.com/T5793#108195 .

Let's use this task for the original request:
/Code// that provides a 'default' and integrated implementation which allows all users to have their personal workboards.

Hydriz removed a subscriber: Hydriz.Oct 25 2016, 11:48 AM

(According to https://secure.phabricator.com/T5793#206322 this has become less likely to get implemented.)

(According to https://secure.phabricator.com/T5793#206322 this has become less likely to get implemented.)

I was initially confused by this, but @JAufrecht explained it. Several people already have personal per-user projects. The feature that upstream has declined would be to have some kind of per-user non-project way to view and manage everything assigned to you. Instead, you'll have to manually (or via herald) add all of your assigned tasks to an actual project.

Eventually I could imagine there might be some non-herald way for that actual project to "inherit" all its tasks based on assigned status, but that's not on the roadmap. It's also not what is asked for in this task description, at least by my interpretation.

dcausse removed a subscriber: dcausse.Sep 28 2017, 3:19 PM
Aklapper changed the status of subtask T172412: Create project for me #User-Zoranzoki21 from Open to Stalled.Oct 23 2017, 7:50 AM
Aklapper mentioned this in User-MacFan4000.
Aklapper updated the task description. (Show Details)Oct 27 2017, 12:47 PM

Please note: If you do not plan to track state / progress via workboard columns, in many cases, using a personal dashboard can be sufficient and less noisy for all other Phabricator users (as no user project tags get added in tasks).
For example, you can add panels to display your assigned tasks and your authored tasks on your dashboard.
Or for tasks you'd like to have on a 'watchlist', using personal, non-public flags and creating a panel (via "Search For: Flags") to list all your flagged tasks in a panel on your dashboard.

Zoranzoki21 changed the status of subtask T172412: Create project for me #User-Zoranzoki21 from Stalled to Open.Oct 27 2017, 2:42 PM
leila removed a subscriber: leila.Oct 27 2017, 3:49 PM